Add a Geofencepost https://api.foursquare.com/v2/apps/{client_id}/geofences/addCreate the following types of geofences: Around a FSQ Venue Using a Custom Polygon Around a Lat/Long Coordinate Path Paramsclient_idstringrequiredThe unique ID associated with your developer project.Query Paramsoauth_tokenstringrequiredThe access token generated via your web application as described here.namestringrequiredA custom string that you can set to help you identify the set of geofences.venueIdstringA single Foursquare venueId. Required if adding a geofence around a FSQ venue & if either a categoryId or a chainId is not provided.categoryIdstringA single Foursquare categoryId. Required if adding a geofence around a FSQ venue & if either a venueId or a chainId is not provided.chainIdstringA single Foursquare venueId. Required if adding a geofence around a FSQ venue & if either a venueId or a categoryId is not provided.polygonstringA string of URL encoded lat/lng points separated by semicolon, with start and end as the same points. Must provide between 4 and 15 points in a clockwise fashion to successfully create the polygon. Required if adding a geofence using a custom polygon.centerstringA comma separated lat/lng coordinate. Required if adding a lat/long coordinate based geofence.radiusint32Area around the lat/lng that will trigger a geofence event. Default and miniumum radius is 50 meters with a max of 5000. Required if adding a lat/long coordinate based geofence.dwellTimeint32Number of minutes user needs to be inside of a geofence to trigger a dwell event. Default is 1 minute. Applies only to polygon and lat/long coordinate-based geofences.vstringrequiredThe API version date as documented hereResponse 200200Updated 4 months ago